Loading...
Searching...
No Matches
Ogre::AnimationControllerFunction Class Reference
Core » Animation

Predefined controller function for dealing with animation. More...

`#include <OgrePredefinedControllers.h>`

Inheritance diagram for Ogre::AnimationControllerFunction:
[legend]

## Public Member Functions

| AnimationControllerFunction (Real sequenceTime, Real timeOffset=0.0f)
float | calculate (float source) override
void | setSequenceTime (Real seqVal)
| Set the sequence duration value manually.
void | setTime (Real timeVal)
| Set the time value manually.
Public Member Functions inherited from Ogre::ControllerFunction< float >
| ControllerFunction (bool deltaInput)
| Constructor.
virtual | ~ControllerFunction ()

## Static Public Member Functions

static ControllerFunctionRealPtr | create (Real sequenceTime, Real timeOffset=0.0f)
| Constructor.

## Detailed Description

Predefined controller function for dealing with animation.

## Constructor & Destructor Documentation

## AnimationControllerFunction()

Ogre::AnimationControllerFunction::AnimationControllerFunction | ( | Real | sequenceTime,
|  | Real | timeOffset = 0.0f )

Deprecated
  use create()

## Member Function Documentation

## create()

ControllerFunctionRealPtr Ogre::AnimationControllerFunction::create | ( | Real | sequenceTime,
|  | Real | timeOffset = 0.0f )

inline static

Constructor.

Parameters

  sequenceTime | The amount of time in seconds it takes to loop through the whole animation sequence.
  timeOffset | The offset in seconds at which to start (default is start at 0)

## calculate()

float Ogre::AnimationControllerFunction::calculate | ( | float | source | ) |

override virtual

Implements Ogre::ControllerFunction< float >.

## setTime()

void Ogre::AnimationControllerFunction::setTime | ( | Real | timeVal | ) |

Set the time value manually.

## setSequenceTime()

void Ogre::AnimationControllerFunction::setSequenceTime | ( | Real | seqVal | ) |

Set the sequence duration value manually.

The documentation for this class was generated from the following file:

- OgrePredefinedControllers.h